data:extend({

        --- Big Wooden Electric Pole
        {
                type = "item",
                name = "bi_big_wooden_pole",
                icon = "__Bio_Industries__/graphics/icons/big-wooden-pole.png",
                icon_size = 32,
                subgroup = "energy-pipe-distribution",
                order = "a[energy]-b[small-electric-pole]",
                place_result = "bi_big_wooden_pole",
                fuel_value = "14MJ",
                fuel_category = "chemical",
                stack_size = 50

        },

        --- Huge Wooden Pole
        {
                type = "item",
                name = "bi_huge_wooden_pole",
                icon = "__Bio_Industries__/graphics/icons/huge-wooden-pole.png",
                icon_size = 32,
                subgroup = "energy-pipe-distribution",
                order = "a[energy]-d[big-electric-pole]",
                place_result = "bi_huge_wooden_pole",
                fuel_value = "90MJ",
                fuel_category = "chemical",
                stack_size = 50

        },

        -- Wooden Fence
        {
                type = "item",
                name = "bi_wooden_fence",
                icon = "__Bio_Industries__/graphics/icons/wooden-fence.png",
                icon_size = 32,
                subgroup = "defensive-structure",
                order = "a-a[stone-wall]-a[wooden-fence]",
                place_result = "bi_wooden_fence",
                fuel_value = "4MJ",
                fuel_category = "chemical",
                stack_size = 50
        },

        --- Wood Rail Planner
        {
                type = "rail-planner",
                name = "bi_rail_wood",
                icon = "__Bio_Industries__/graphics/icons/rail-wood.png",
                icon_size = 32,
                subgroup = "transport",
                order = "a[train-system]-a[rail]",
                place_result = "bi_straight_rail_wood",
                stack_size = 100,
                straight_rail = "bi_straight_rail_wood",
                curved_rail = "bi_curved_rail_wood"
        },

          --- Wooden Bridge Rail
        {
                type = "rail-planner",
                name = "bi_rail_wood_bridge",
                icon = "__Bio_Industries__/graphics/icons/rail-wood-bridge.png",
                icon_size = 32,
                subgroup = "transport",
                order = "a[train-system]-aa[rail]",
                place_result = "bi_straight_rail_wood_bridge",
                stack_size = 100,
                straight_rail = "bi_straight_rail_wood_bridge",
                curved_rail = "bi_curved_rail_wood_bridge"
        },

        --- Electric Rail Planner
        {
                type = "rail-planner",
                name = "bi_rail_power",
                icon = "__Bio_Industries__/graphics/icons/rail-concrete-power.png",
                icon_size = 32,
                subgroup = "transport",
                order = "a[train-system]-ab[rail]",
                place_result = "bi_straight_rail_power",
                stack_size = 100,
                straight_rail = "bi_straight_rail_power",
                curved_rail = "bi_curved_rail_power"
        },

  --- Wood Pipe
        {
                type = "item",
                name = "bi_wood_pipe",
                icon = "__Bio_Industries__/graphics/icons/wood_pipe.png",
                icon_size = 32,
                subgroup = "energy-pipe-distribution",
                order = "a[pipe]-1a[pipe]",
                place_result = "bi_wood_pipe",
                fuel_value = "4MJ",
                fuel_category = "chemical",
                stack_size = 100
        },

  --- Wood Pipe to Ground
        {
                type = "item",
                name = "bi_pipe_to_ground_wood",
                icon = "__Bio_Industries__/graphics/icons/pipe-to-ground-wood.png",
                icon_size = 32,
                subgroup = "energy-pipe-distribution",
                order = "a[pipe]-1b[pipe-to-ground]",
                place_result = "bi_pipe_to_ground_wood",
                fuel_value = "20MJ",
                fuel_category = "chemical",
                stack_size = 50
        },

        --- Large wooden chest 2 x 2
          {
                type = "item",
                name = "bi_large_wooden_chest",
                icon = "__Bio_Industries__/graphics/icons/large_wooden_chest_icon.png",
                icon_size = 32,
                fuel_category = "chemical",
                fuel_value = "32MJ",
                subgroup = "storage",
                order = "a[items]-aa[wooden-chest]",
                place_result = "bi_large_wooden_chest",
                stack_size = 48
          },

                --- Huge wooden chest 3 x 3
          {
                type = "item",
                name = "bi_huge_wooden_chest",
                icon = "__Bio_Industries__/graphics/icons/huge_wooden_chest_icon.png",
                icon_size = 32,
                fuel_category = "chemical",
                fuel_value = "200MJ",
                subgroup = "storage",
                order = "a[items]-ab[wooden-chest]",
                place_result = "bi_huge_wooden_chest",
                stack_size = 32
          },

                --- Giga wooden chest 6 x 6
          {
                type = "item",
                name = "bi_giga_wooden_chest",
                icon = "__Bio_Industries__/graphics/icons/giga_wooden_chest_icon.png",
                icon_size = 32,
                fuel_category = "chemical",
                fuel_value = "400MJ",
                subgroup = "storage",
                order = "a[items]-ac[wooden-chest]",
                place_result = "bi_giga_wooden_chest",
                stack_size = 16
          },
          ---- Power pole to connect Rail to Power Grid
            {
                type = "item",
                name = "bi_power_to_rail_pole",
                icon = "__Bio_Industries__/graphics/icons/electric-to-rail.png",
                icon_size = 32,
                subgroup = "transport",
                order = "a[train-system]-ac[rail]",
                place_result = "bi_power_to_rail_pole",
                stack_size = 50
                },


})
