data:extend({

        --- Big Electric Pole
        {
                type = "recipe",
                name = "bi_big_wooden_pole",
                icon = "__Bio_Industries__/graphics/icons/big-wooden-pole.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        ingredients =
                        {
                          {"wood", 5},
                          {"small-electric-pole", 2},
                        },
                  result = "bi_big_wooden_pole",
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        ingredients =
                        {
                          {"wood", 10},
                          {"small-electric-pole", 4},
                        },
                  result = "bi_big_wooden_pole",
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "energy-pipe-distribution",
                order = "a[energy]-b[small-electric-pole]",
        },

        --- Huge Wooden Pole
        {
                type = "recipe",
                name = "bi_huge_wooden_pole",
                icon = "__Bio_Industries__/graphics/icons/huge-wooden-pole.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        ingredients =
                        {
                          {"wood", 5},
                          {"concrete", 100},
                          {"bi_big_wooden_pole", 6},
                        },
                  result = "bi_huge_wooden_pole",
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        ingredients =
                        {
                          {"wood", 10},
                          {"concrete", 150},
                          {"bi_big_wooden_pole", 10},
                        },
                  result = "bi_huge_wooden_pole",
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "energy-pipe-distribution",
                order = "a[energy]-d[big-electric-pole]",
        },

        --- Wooden Fence
        {
                type = "recipe",
                name = "bi_wooden_fence",
                icon = "__Bio_Industries__/graphics/icons/wooden-fence.png",
                icon_size = 32,
                normal =
                {
                        enabled = true,
                        ingredients =
                        {
                          {"wood", 2},
                        },
                        result = "bi_wooden_fence",
                        main_product = "",
                },
                expensive =
                {
                        enabled = true,
                        ingredients =
                        {
                          {"wood", 4},
                        },
                        result = "bi_wooden_fence",
                        main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "defensive-structure"
        },

        --- Wooden Rail
    {
                type = "recipe",
                name = "bi_rail_wood",
                icon = "__Bio_Industries__/graphics/icons/rail-wood.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        ingredients =
                        {
                                {"wood", 6},
                                {"stone", 1},
                                {"steel-plate", 1},
                                {"iron-stick", 1},
                        },
                        result = "bi_rail_wood",
                        result_count = 2,
                        main_product = "",
                        requester_paste_multiplier = 4
                },
                expensive =
                {
                        enabled = false,
                        ingredients =
                        {
                                {"wood", 6},
                                {"stone", 1},
                                {"steel-plate", 1},
                                {"iron-stick", 1},
                        },
                        result = "bi_rail_wood",
                        result_count = 1,
                        main_product = "",
                        requester_paste_multiplier = 4
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "transport",
                order = "a[train-system]-a[rail]",
  },

        --- Wooden Rail to Concrete Rail
    {
                type = "recipe",
                icon = "__Bio_Industries__/graphics/icons/rail-wood-to-concrete.png",
                icon_size = 32,
                name = "bi_rail_wood_to_concrete",
                normal =
                {
                        enabled = false,
                        ingredients =
                        {
                                {"bi_rail_wood", 3},
                                {"stone-brick", 10},
                        },
                        result = "rail",
                        result_count = 2,
                        main_product = "",
                        requester_paste_multiplier = 4
                },
                expensive =
                {
                        enabled = false,
                        ingredients =
                        {
                                {"bi_rail_wood", 2},
                                {"stone-brick", 10},
                        },
                        result = "rail",
                        result_count = 1,
                        main_product = "",
                        requester_paste_multiplier = 4
                },
                subgroup = "transport",
                order = "a[train-system]-aa1[rail-upgrade]",
                always_show_made_in = true,
                allow_decomposition = false,
        },

        --- Wooden Bridge Rail
    {
                type = "recipe",
                name = "bi_rail_wood_bridge",
                icon = "__Bio_Industries__/graphics/icons/rail-wood-bridge.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        ingredients =

                        {
                          {"bi_rail_wood", 1},
                          {"steel-plate", 1},
                          {"wood", 32}
                        },
                        result = "bi_rail_wood_bridge",
                        result_count = 2,
                        main_product = "",
                        requester_paste_multiplier = 4
                },
                expensive =
                {
                        enabled = false,
                        ingredients =

                        {
                          {"bi_rail_wood", 1},
                          {"steel-plate", 1},
                          {"wood", 32}
                        },
                        result = "bi_rail_wood_bridge",
                        result_count = 1,
                        main_product = "",
                        requester_paste_multiplier = 4
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "transport",
                order = "a[train-system]-aa[rail]",
  },

        --- Power Rail
    {
                type = "recipe",
                name = "bi_rail_power",
                icon = "__Bio_Industries__/graphics/icons/rail-concrete-power.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        ingredients =
                        {
                                {"rail", 2},
                                {"copper-cable", 4},

                        },
                        result = "bi_rail_power",
                        result_count = 2,
                        main_product = "",
                        requester_paste_multiplier = 4
                },
                expensive =
                {
                        enabled = false,
                        ingredients =
                        {
                                {"rail", 1},
                                {"copper-cable", 4},

                        },
                        result = "bi_rail_power",
                        result_count = 1,
                        main_product = "",
                        requester_paste_multiplier = 4
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "transport",
                order = "a[train-system]-ab[rail]",
  },

        --- Wood Pipe
    {
                type = "recipe",
                name = "bi_wood_pipe",
                icon = "__Bio_Industries__/graphics/icons/wood_pipe.png",
                icon_size = 32,
                normal =
                {
                        energy_required = 1,
                        enabled = true,
                        ingredients =
                        {
                          {"copper-plate", 1},
                          {"wood", 8}
                        },
                  result = "bi_wood_pipe",
                  result_count = 4,
                  main_product = "",
                  requester_paste_multiplier = 15
                },
                expensive =
                {
                        energy_required = 2,
                        enabled = true,
                        ingredients =
                        {
                          {"copper-plate", 1},
                          {"wood", 12}
                        },
                  result = "bi_wood_pipe",
                  result_count = 4,
                  main_product = "",
                  requester_paste_multiplier = 15
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "energy-pipe-distribution",
                order = "a[pipe]-1a[pipe]",
  },

  -- Wood Pipe to Ground
  {
                type = "recipe",
                name = "bi_pipe_to_ground_wood",
                icon = "__Bio_Industries__/graphics/icons/pipe-to-ground-wood.png",
                icon_size = 32,
                normal =
                {
                        energy_required = 2,
                        enabled = true,
                        ingredients =
                        {
                          {"copper-plate", 4},
                          {"bi_wood_pipe", 5}
                        },
                  result = "bi_pipe_to_ground_wood",
                  result_count = 2,
                  main_product = "",
                },
                expensive =
                {
                        energy_required = 4,
                        enabled = true,
                        ingredients =
                        {
                          {"copper-plate", 5},
                          {"bi_wood_pipe", 6}
                        },
                  result = "bi_pipe_to_ground_wood",
                  result_count = 2,
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "energy-pipe-distribution",
                order = "a[pipe]-1b[pipe-to-ground]",
  },

        --- Rail to Power Pole
        {
                type = "recipe",
                name = "bi_power_to_rail_pole",
                icon = "__Bio_Industries__/graphics/icons/electric-to-rail.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        ingredients =
                        {
                          {"copper-cable", 2},
                          {"medium-electric-pole", 1},
                        },
                  result = "bi_power_to_rail_pole",
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        ingredients =
                        {
                          {"copper-cable", 4},
                          {"medium-electric-pole", 1},
                        },
                  result = "bi_power_to_rail_pole",
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "transport",
                order = "a[train-system]-ac[rail]",
        },

        --- Large Wooden Chest
  {
    type = "recipe",
    name = "bi_large_wooden_chest",
        icon = "__Bio_Industries__/graphics/icons/large_wooden_chest_icon.png",
        icon_size = 32,
        normal =
                {
                        energy_required = 2,
                        enabled = false,
                        ingredients =
                        {
                          {"copper-plate", 16},
                          {"resin", 24},
                          {"wooden-chest", 8}
                        },
                  result = "bi_large_wooden_chest",
                  result_count = 1,
                  main_product = "",
                  requester_paste_multiplier = 4
                },
        expensive =
                {
                        energy_required = 4,
                        enabled = false,
                        ingredients =
                        {
                          {"copper-plate", 24},
                          {"resin", 32},
                          {"wooden-chest", 8}
                        },
                  result = "bi_large_wooden_chest",
                  result_count = 1,
                  main_product = "",
                  requester_paste_multiplier = 4,
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "storage",
                order = "a[items]-aa[wooden-chest]",
  },

        --- Huge Wooden Chest
  {
    type = "recipe",
    name = "bi_huge_wooden_chest",
        icon = "__Bio_Industries__/graphics/icons/huge_wooden_chest_icon.png",
        icon_size = 32,
        normal =
                {
                        energy_required = 2,
                        enabled = false,
                        ingredients =
                        {
                          {"iron-stick", 32},
                          {"stone-brick", 32},
                          {"bi_large_wooden_chest", 16}
                        },
                  result = "bi_huge_wooden_chest",
                  result_count = 1,
                  main_product = "",
                  requester_paste_multiplier = 4
                },
        expensive =
                {
                        energy_required = 4,
                        enabled = false,
                        ingredients =
                        {
                          {"iron-stick", 48},
                          {"stone-brick", 48},
                          {"bi_large_wooden_chest", 16}
                        },
                  result = "bi_huge_wooden_chest",
                  result_count = 1,
                  main_product = "",
                  requester_paste_multiplier = 4,
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "storage",
                order = "a[items]-ab[wooden-chest]",
  },

        --- Giga Wooden Chest
  {
    type = "recipe",
    name = "bi_giga_wooden_chest",
        icon = "__Bio_Industries__/graphics/icons/giga_wooden_chest_icon.png",
        icon_size = 32,
        normal =
                {
                        energy_required = 4,
                        enabled = false,
                        ingredients =
                        {
                          {"steel-plate", 32},
                          {"concrete", 32},
                          {"bi_huge_wooden_chest", 16}
                        },
                  result = "bi_giga_wooden_chest",
                  result_count = 1,
                  main_product = "",
                  requester_paste_multiplier = 4
                },
        expensive =
                {
                        energy_required = 6,
                        enabled = false,
                        ingredients =
                        {
                          {"steel-plate", 48},
                          {"concrete", 48},
                          {"bi_huge_wooden_chest", 16}
                        },
                  result = "bi_giga_wooden_chest",
                  result_count = 1,
                  main_product = "",
                  requester_paste_multiplier = 4,
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "storage",
                order = "a[items]-ac[wooden-chest]",
  },



 })
