#!/bin/bash

echo "{"
for i in  `ls *txt | grep -v changes | sort`; do
        category="`echo $i | sed -e 's/\.txt//'`"
        echo -e "\t\"${category}\":\n\t["

        awk '{print $1}' $i | while read new; do
                old="`echo $new | sed -e 's/_/-/g'`"
                if [ "$category" == "recipe" ]; then
                        old="`echo $old | sed -e 's/^bi-/bi-recipe-/'`"
                fi

                skip="`echo $new | sed -ne '/_/p'`"
                if [ "$new" == "" ]; then
                        echo
                elif [ "$skip" == "" ]; then
                        echo -e "Skipped $new" >&2
                else
                        echo -e "\t\t[\"${old}\", \"${new}\"],"
                fi
        done

        echo -e "\t],"
done
echo "}"
