if BI.Settings.Bio_Cannon then

        data:extend({

                        -- Prototype Artillery Proto Ammo
                {
                        type = "ammo",
                        name = "bi_bio_cannon_proto_ammo",
                        icon = "__Bio_Industries__/graphics/entities/bio_cannon/projectiles/Bio_Cannon_Proto_Ammo_Icon.png",
                        icon_size = 32,
                        ammo_type =
                        {
                                category = "artillery-shell",
                                target_type = "direction",
                                action =
                                {
                                        {
                                                type = "direct",
                                                action_delivery =
                                                {
                                                        type = "projectile",
                                                        projectile = "bi_bio_cannon_proto_ammo",
                                                        starting_speed = 1,
                                                        direction_deviation = 0.8,
                                                        range_deviation = 0.8,
                                                        max_range = 90
                                                }
                                        }
                                }
                        },
                        subgroup = "ammo",
                        order = "z[Bio_Cannon_Ammo]-a[Proto]",
                        stack_size = 50,
                },


                -- Prototype Artillery Basic Ammo
                {
                        type = "ammo",
                        name = "bi_bio_cannon_basic_ammo",
                        icon = "__Bio_Industries__/graphics/entities/bio_cannon/projectiles/Bio_Cannon_Basic_Ammo_Icon.png",
                        icon_size = 32,
                        ammo_type =
                        {
                                category = "artillery-shell",
                                target_type = "direction",
                                action =
                                {
                                        {
                                                type = "direct",
                                                action_delivery =
                                                {
                                                        type = "projectile",
                                                        projectile = "bi_bio_cannon_basic_ammo",
                                                        starting_speed = 1,
                                                        direction_deviation = 0.8,
                                                        range_deviation = 0.8,
                                                        max_range = 90
                                                }
                                        }
                                }
                        },
                        subgroup = "ammo",
                        order = "z[Bio_Cannon_Ammo]-b[Basic]",
                        stack_size = 50,
                },

                        -- Prototype Artillery Poison Ammo
                {
                        type = "ammo",
                        name = "bi_bio_cannon_poison_ammo",
                        icon = "__Bio_Industries__/graphics/entities/bio_cannon/projectiles/Bio_Cannon_Poison_Ammo_Icon.png",
                        icon_size = 32,
                        ammo_type =
                        {
                                category = "artillery-shell",
                                target_type = "direction",
                                action =
                                {
                                        {
                                                type = "direct",
                                                action_delivery =
                                                {
                                                        type = "projectile",
                                                        projectile = "bi_bio_cannon_poison_ammo",
                                                        starting_speed = 1,
                                                        direction_deviation = 0.8,
                                                        range_deviation = 0.8,
                                                        max_range = 90
                                                }
                                        }
                                }
                        },
                        subgroup = "ammo",
                        order = "z[Bio_Cannon_Ammo]-c[Poison]",
                        stack_size = 50,
                },


        })

end
