data:extend(
{
        ---- Seed
        {
                type = "item",
                name = "bi_seed",
                icon = "__Bio_Industries__/graphics/icons/bio_seed.png",
                icon_size = 32,
                category = "biofarm-mod-greenhouse",
                subgroup = "bio-bio-farm",
                order = "x[bi]-a[bi-seed]",
                fuel_value = "0.5MJ",
                fuel_category = "chemical",
                stack_size= 800
        },


        ---- Seedling
        {
                type = "item",
                name = "seedling",
                icon = "__Bio_Industries__/graphics/icons/Seedling.png",
                icon_size = 32,
                subgroup = "bio-bio-farm",
                order = "x[bi]-b[bi-seedling]",
                place_result="seedling",
                fuel_value = "0.5MJ",
                fuel_category = "chemical",
                stack_size= 400
        },

  ----Bio Farm
        {
                type= "item",
                name= "bi_bio_farm",
                icon = "__Bio_Industries__/graphics/icons/Bio_Farm_Icon.png",
                icon_size = 32,
                subgroup = "production-machine",
                order = "x[bi]-ab[bi-bio-farm]",
                place_result = "bi_bio_farm",
                stack_size= 10,
        },

  ----Bio Greenhouse (Nursery)
        {
                type= "item",
                name= "bi_bio_greenhouse",
                icon = "__Bio_Industries__/graphics/icons/bio_greenhouse.png",
                icon_size = 32,
                subgroup = "production-machine",
                order = "x[bi]-aa[bi_bio_greenhouse]",
                place_result = "bi_bio_greenhouse",
                stack_size= 10,
        },

        --- Cokery
        {
                type = "item",
                name = "bi_cokery",
                icon = "__Bio_Industries__/graphics/icons/cokery.png",
                icon_size = 32,
                subgroup = "production-machine",
                order = "x[bi]-b[bi-cokery]",
                place_result = "bi_cokery",
                stack_size = 10
        },

        --- Stone Crusher
        {
                type = "item",
                name = "bi_stone_crusher",
                icon = "__Bio_Industries__/graphics/icons/stone_crusher.png",
                icon_size = 32,
                subgroup = "production-machine",
                order = "x[bi]-c[bi-stone-crusher]",
                place_result = "bi_stone_crusher",
                stack_size = 10
        },

  --- Wood Pulp
        {
                type = "item",
                name = "bi_woodpulp",
                icon = "__Bio_Industries__/graphics/icons/Woodpulp_32.png",
                icon_size = 32,
                fuel_value = "1MJ",
                fuel_category = "chemical",
                subgroup = "raw-material",
                order = "a-b[bi-woodpulp]",
                stack_size = 800
        },

                --- Wood Bricks
          {
                type = "item",
                name = "wood_bricks",
                icon = "__Bio_Industries__/graphics/icons/Fuel_Brick.png",
                icon_size = 64,
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-bx[bi-woodbrick]",
                fuel_category = "chemical",
                fuel_value = "20MJ",
                stack_size = 200
          },


                --- Ash
        {
                type = "item",
                name = "bi_ash",
                icon = "__Bio_Industries__/graphics/icons/ash.png",
                icon_size = 32,
                --~ fuel_value = "1MJ",
                --~ fuel_category = "chemical",
                subgroup = "raw-material",
                order = "a[bi]-a-b[bi-ash]",
                stack_size = 400
        },

        --- Charcoal
        {
                type = "item",
                name = "wood_charcoal",
                icon = "__Bio_Industries__/graphics/icons/charcoal.png",
                icon_size = 32,
                fuel_value = "6MJ",
                fuel_category = "chemical",
                subgroup = "raw-material",
                order = "a[bi]-a-c[charcoal]",
                stack_size = 400
        },

        --- Coke Coal / Pellet Coke for Angels
        {
                type = "item",
                name = "pellet_coke",
                icon = "__Bio_Industries__/graphics/icons/coke-coal.png",
                icon_size = 32,
                fuel_value = "28MJ",
                fuel_category = "chemical",
                fuel_acceleration_multiplier = 1.2,
                fuel_top_speed_multiplier = 1.1,
                subgroup = "raw-material",
                order = "a[bi]-a-g[bi-coke-coal]",
                stack_size = 400
        },


        --- Crushed Stone
        {
                type = "item",
                name = "stone_crushed",
                icon = "__Bio_Industries__/graphics/icons/crushed-stone.png",
                icon_size = 32,
                subgroup = "raw-material",
                order = "a[bi]-a-z[stone-crushed]",
                stack_size = 800
        },


        --- Seeb Bomb - Basic
  {
    type = "ammo",
    name = "bi_seed_bomb_basic",
    icon = "__Bio_Industries__/graphics/icons/Seed_bomb_icon_b.png",
    icon_size = 32,
    ammo_type =
    {
      range_modifier = 3,
      cooldown_modifier = 3,
      target_type = "position",
      category = "rocket",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "seed_bomb_projectile_1",
          starting_speed = 0.05,
        }
      }
    },
    subgroup = "ammo",
    order = "a[rocket-launcher]-x[seed-bomb]-a",
    stack_size = 10
  },


        --- Seeb Bomb - Standard
  {
    type = "ammo",
    name = "bi_seed_bomb_standard",
    icon = "__Bio_Industries__/graphics/icons/Seed_bomb_icon_s.png",
    icon_size = 32,
    ammo_type =
    {
      range_modifier = 3,
      cooldown_modifier = 3,
      target_type = "position",
      category = "rocket",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "seed_bomb_projectile_2",
          starting_speed = 0.05,
        }
      }
    },
    subgroup = "ammo",
    order = "a[rocket-launcher]-x[seed-bomb]-b",
    stack_size = 10
  },


        --- Seeb Bomb - Advanced
  {
    type = "ammo",
    name = "bi_seed_bomb_advanced",
    icon = "__Bio_Industries__/graphics/icons/Seed_bomb_icon_a.png",
    icon_size = 32,
    ammo_type =
    {
      range_modifier = 3,
      cooldown_modifier = 3,
      target_type = "position",
      category = "rocket",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "seed_bomb_projectile_3",
          starting_speed = 0.05,
        }
      }
    },
    subgroup = "ammo",
    order = "a[rocket-launcher]-x[seed-bomb]-c",
    stack_size = 10
  },

         --- Arboretum (Entity)
        {
                type= "item",
                name= "bi_arboretum_area",
                icon = "__Bio_Industries__/graphics/icons/Arboretum_Icon.png",
                icon_size = 32,
                subgroup = "production-machine",
                order = "x[bi]-a[bi-arboretum]",
                place_result = "bi_arboretum_area",
                stack_size= 10,
        },

         --- Arboretum Hidden Recipe
    {
                type = "item",
                name = "bi_arboretum_r1",
                icon = "__Bio_Industries__/graphics/icons/Seedling_b.png",
                icon_size = 32,
                flags = {"hidden"},
                subgroup = "terrain",
                order = "bi_arboretum_r1",
                stack_size = 1
        },

         --- Arboretum Hidden Recipe
    {
                type = "item",
                name = "bi_arboretum_r2",
                icon = "__Bio_Industries__/graphics/icons/bi_change_1.png",
                icon_size = 32,
                flags = {"hidden"},
                subgroup = "terrain",
                order = "bi-arboretum-r2",
                stack_size = 1
        },

         --- Arboretum Hidden Recipe
   {
                type = "item",
                name = "bi_arboretum_r3",
                icon = "__Bio_Industries__/graphics/icons/bi_change_2.png",
                icon_size = 32,
                flags = {"hidden"},
                subgroup = "terrain",
                order = "bi-arboretum-r3",
                stack_size = 1
        },

         --- Arboretum Hidden Recipe
     {
                type = "item",
                name = "bi_arboretum_r4",
                icon = "__Bio_Industries__/graphics/icons/bi_change_plant_1.png",
                icon_size = 32,
                flags = {"hidden"},
                subgroup = "terrain",
                order = "bi-arboretum-r4",
                stack_size = 1
        },

         --- Arboretum Hidden Recipe
     {
                type = "item",
                name = "bi_arboretum_r5",
                icon = "__Bio_Industries__/graphics/icons/bi_change_plant_2.png",
                icon_size = 32,
                flags = {"hidden"},
                subgroup = "terrain",
                order = "bi-arboretum-r5",
                stack_size = 1
        },

})


--- Fertilizer can change terrain to better terrain
if mods["alien-biomes"] then

        data:extend({
                --- Fertiliser
                {
                        type = "item",
                        name = "fertiliser",
                        icon = "__Bio_Industries__/graphics/icons/fertiliser_32.png",
                        icon_size = 32,
                        subgroup = "intermediate-product",
                        order = "b[fertiliser]",
                        stack_size = 200,
                        place_as_tile =
                        {
                                result = "vegetation-green-grass-3",
                                condition_size = 1,
                                condition = { "water-tile" }
                        },
                },

                --- Adv Fertiliser
                {
                        type = "item",
                        name = "bi_adv_fertiliser",
                        icon = "__Bio_Industries__/graphics/icons/advanced_fertiliser_32.png",
                        icon_size = 32,
                        subgroup = "intermediate-product",
                        order = "b[fertiliser]-b[bi-adv-fertiliser]",
                        stack_size = 200,
                        place_as_tile =
                        {
                                result = "vegetation-green-grass-1",
                                condition_size = 1,
                                condition = { "water-tile" }
                        },
                },


        })

else

        data:extend({
                --- Fertiliser
                {
                        type = "item",
                        name = "fertiliser",
                        icon = "__Bio_Industries__/graphics/icons/fertiliser_32.png",
                        icon_size = 32,
                        subgroup = "intermediate-product",
                        order = "b[fertiliser]",
                        stack_size = 200,
                        place_as_tile =
                        {
                                result = "grass-3",
                                condition_size = 1,
                                condition = { "water-tile" }
                        },
                },

                --- Adv Fertiliser
                {
                        type = "item",
                        name = "bi_adv_fertiliser",
                        icon = "__Bio_Industries__/graphics/icons/advanced_fertiliser_32.png",
                        icon_size = 32,
                        subgroup = "intermediate-product",
                        order = "b[fertiliser]-b[bi-adv-fertiliser]",
                        stack_size = 200,
                        place_as_tile =
                        {
                                result = "grass-1",
                                condition_size = 1,
                                condition = { "water-tile" }
                        },
                },


        })

end
