data:extend({



        --- Seeds from Water (BASIC)
        {
                type = "recipe",
                name = "bi_seed_1",
                icon = "__Bio_Industries__/graphics/icons/bio_seed1.png",
                icon_size = 32,
                category = "biofarm-mod-greenhouse",
                energy_required = 200,
                ingredients =
                {
                        {type="fluid", name="water", amount=100},
                        {type="item", name="wood", amount=20},
                },
                results=
                {
                        {type="item", name="bi_seed", amount=40},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                subgroup = "bio-bio-farm-fluid-1",
                order = "a[bi]-ssw-a1[bi_seed_1]",

        },


        --- Seeds from Water & Ash
        {
                type = "recipe",
                name = "bi_seed_2",
                icon = "__Bio_Industries__/graphics/icons/bio_seed2.png",
                icon_size = 32,
                category = "biofarm-mod-greenhouse",
                energy_required = 150,
                ingredients =
                {
                        {type="fluid", name="water", amount=40},
                        {type="item", name="wood", amount=20},
                        {type="item", name="bi_ash", amount=10},
                },
                results=
                {
                        {type="item", name="bi_seed", amount=50},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                subgroup = "bio-bio-farm-fluid-1",
                order = "a[bi]-ssw-a1[bi_seed_2]",
        },


        --- Seeds from Water & Fertiliser
        {
                type = "recipe",
                name = "bi_seed_3",
                icon = "__Bio_Industries__/graphics/icons/bio_seed3.png",
                icon_size = 32,
                category = "biofarm-mod-greenhouse",
                energy_required = 100,
                ingredients =
                {
                        {type="fluid", name="water", amount=40},
                        {type="item", name="wood", amount=20},
                        {type="item", name="fertiliser", amount=10},
                },
                results=
                {
                        {type="item", name="bi_seed", amount=60},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                subgroup = "bio-bio-farm-fluid-1",
                order = "a[bi]-ssw-a1[bi_seed_3]",
        },


        --- Seeds from Water & Adv-fertiliser
        {
                type = "recipe",
                name = "bi_seed_4",
                icon = "__Bio_Industries__/graphics/icons/bio_seed4.png",
                icon_size = 32,
                category = "biofarm-mod-greenhouse",
                energy_required = 50,
                ingredients =
                {
                        {type="item", name="wood", amount=20},
                        {type="item", name="bi_adv_fertiliser", amount=10},
                        {type="fluid", name="water", amount=40},
                },
                results=
                {
                        {type="item", name="bi_seed", amount=80},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                subgroup = "bio-bio-farm-fluid-1",
                order = "a[bi]-ssw-a1[bi_seed_4]",
        },


        --- Seedlings from Water (BASIC)
        {
                type = "recipe",
                name = "bi_seedling_mk1",
                icon = "__Bio_Industries__/graphics/icons/Seedling1.png",
                icon_size = 32,
                category = "biofarm-mod-greenhouse",
                energy_required = 400,
                ingredients =
                {
                        {type="item", name="bi_seed", amount=20},
                        {type="fluid", name="water", amount=100},
                },
                results=
                {
                        {type="item", name="seedling", amount=40},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                subgroup = "bio-bio-farm-fluid-2",
                order = "b[bi]-ssw-b1[bi-Seedling_Mk1]",
        },


        --- Seedlings from Water & Ash
        {
                type = "recipe",
                name = "bi_seedling_mk2",
                icon = "__Bio_Industries__/graphics/icons/Seedling2.png",
                icon_size = 32,
                category = "biofarm-mod-greenhouse",
                energy_required = 300,
                ingredients =
                {
                  {type="item", name="bi_seed", amount=25},
                  {type="item", name="bi_ash", amount=10},
                  {type="fluid", name="water", amount=100},
                },
                results=
                {
                        {type="item", name="seedling", amount=60},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                subgroup = "bio-bio-farm-fluid-2",
                order = "b[bi]-ssw-b1[bi-Seedling_Mk2]",
        },


        --- Seedlings from Water & Fertiliser
        {
                type = "recipe",
                name = "bi_seedling_mk3",
                icon = "__Bio_Industries__/graphics/icons/Seedling3.png",
                icon_size = 32,
                category = "biofarm-mod-greenhouse",
                energy_required = 200,
                ingredients =
                {
                  {type="item", name="bi_seed", amount=30},
                  {type="item", name="fertiliser", amount=10},
                  {type="fluid", name="water", amount=100},
                },
                results=
                {
                        {type="item", name="seedling", amount=90},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                subgroup = "bio-bio-farm-fluid-2",
                order = "b[bi]-ssw-b1[bi-Seedling_Mk3]",
        },


        --- Seedlings from Water & Adv-fertiliser
        {
                type = "recipe",
                name = "bi_seedling_mk4",
                icon = "__Bio_Industries__/graphics/icons/Seedling4.png",
                icon_size = 32,
                category = "biofarm-mod-greenhouse",
                energy_required = 100,
                ingredients =
                {
                  {type="item", name="bi_seed", amount=40},
                  {type="fluid", name="water", amount=100},
                  {type="item", name="bi_adv_fertiliser", amount=10},
                },
                results=
                {
                        {type="item", name="seedling", amount=160},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                subgroup = "bio-bio-farm-fluid-2",
                order = "b[bi]-ssw-b1[bi-Seedling_Mk4]",
        },


        --- Raw Wood from Water (BASIC)
        {
                type = "recipe",
                name = "bi_logs_mk1",
                icon = "__Bio_Industries__/graphics/icons/raw-wood-mk1.png",
                icon_size = 32,
                category = "biofarm-mod-farm",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                energy_required = 400,
                ingredients =
                {
                        {type="item", name="seedling", amount=20},
                        {type="fluid", name="water", amount=100},
                },
                results =
                {
                        {type = "item", name = "wood", amount = 40},
                        {type = "item", name = "bi_woodpulp", amount = 80},
                },
                main_product = "",
                subgroup = "bio-bio-farm-fluid-3",
                order = "c[bi]-ssw-c1[raw-wood1]",
        },


        --- Raw Wood from Water & Ash
        {
                type = "recipe",
                name = "bi_logs_mk2",
                icon = "__Bio_Industries__/graphics/icons/raw-wood-mk2.png",
                icon_size = 32,
                category = "biofarm-mod-farm",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                energy_required = 360,
                ingredients =
                {
                  {type="item", name="seedling", amount=30},
                  {type="item", name="bi_ash", amount=10},
                  {type="fluid", name="water", amount=100},
                },
                results =
                {
                        {type = "item", name = "wood", amount = 75},
                        {type = "item", name = "bi_woodpulp", amount = 150},
                },
                main_product = "",
                subgroup = "bio-bio-farm-fluid-3",
                order = "c[bi]-ssw-c1[raw-wood2]",
        },


        --- Raw Wood from Water & fertiliser
        {
                type = "recipe",
                name = "bi_logs_mk3",
                icon = "__Bio_Industries__/graphics/icons/raw-wood-mk3.png",
                icon_size = 32,
                category = "biofarm-mod-farm",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                energy_required = 300,
                ingredients =
                {
                  {type="item", name="seedling", amount=45},
                  {type="item", name="fertiliser", amount=10},
                  {type="fluid", name="water", amount=100},
                },
                results =
                {
                        {type = "item", name = "wood", amount = 135},
                        {type = "item", name = "bi_woodpulp", amount = 270},
                },
                main_product = "",
                subgroup = "bio-bio-farm-fluid-3",
                order = "c[bi]-ssw-c1[raw-wood3]",
        },


        --- Raw Wood from adv-fertiliser
        {
                type = "recipe",
                name = "bi_logs_mk4",
                icon = "__Bio_Industries__/graphics/icons/raw-wood-mk4.png",
                icon_size = 32,
                category = "biofarm-mod-farm",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                energy_required = 100,
                ingredients =
                {
                  {type="item", name="seedling", amount=40},
                  {type="fluid", name="water", amount=100},
                  {type="item", name="bi_adv_fertiliser", amount=5},
                },
                results =
                {
                        {type = "item", name = "wood", amount = 160},
                        {type = "item", name = "bi_woodpulp", amount = 320},
                },
                main_product = "",
                subgroup = "bio-bio-farm-fluid-3",
                order = "c[bi]-ssw-c1[raw-wood4]",
        },


        --- Bio Greenhouse (ENTITY)
        {
                type = "recipe",
                --~ name = "bi_greenhouse",
                name = "bi_bio_greenhouse",
                icon = "__Bio_Industries__/graphics/icons/bio_greenhouse.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        energy_required = 5,
                        ingredients =
                        {
                          {"iron-stick",10},
                          {"stone-brick",10},
                          {"small-lamp",5},
                        },
                  result = "bi_bio_greenhouse",
                  result_count = 1,
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        energy_required = 8,
                        ingredients =
                        {
                          {"iron-stick",15},
                          {"stone-brick",15},
                          {"small-lamp",5},
                        },
                  result = "bi_bio_greenhouse",
                  result_count = 1,
                  main_product = "",
                },
                subgroup = "bio-bio-farm-fluid-entity",
                order = "a[bi]",
                always_show_made_in = true,
                allow_decomposition = false,
        },


        --- Bio Farm (ENTITY)
        {
                type = "recipe",
                name = "bi_bio_farm",
                icon = "__Bio_Industries__/graphics/icons/Bio_Farm_Icon.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        energy_required = 10,
                        ingredients =
                        {
                          {"bi_bio_greenhouse",4},
                          {"stone_crushed",10},
                          {"copper-cable",10},
                        },
                  result = "bi_bio_farm",
                  result_count = 1,
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        energy_required = 15,
                        ingredients =
                        {
                          {"bi_bio_greenhouse",8},
                          {"stone_crushed",20},
                          {"copper-cable",20},
                        },
                  result = "bi_bio_farm",
                  result_count = 1,
                  main_product = "",
                },
                subgroup = "bio-bio-farm-fluid-entity",
                order = "b[bi]",
                always_show_made_in = true,
                allow_decomposition = false,
        },


        -- Woodpulp--
        {
                type = "recipe",
                name = "bi_woodpulp",
                icon = "__Bio_Industries__/graphics/icons/Woodpulp_raw-wood.png",
                icon_size = 32,
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-b[bi_woodpulp]",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                energy_required = 2,
                ingredients = {{"wood",2}},
                result = "bi_woodpulp",
                result_count = 4,
                main_product = "",
        },


        --- Resin recipe Pulp
        {
                type = "recipe",
                name = "bi_resin_pulp",
                icon = "__Bio_Industries__/graphics/icons/bi_resin_pulp.png",
                icon_size = 32,
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-aa[bi-resin]",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                energy_required = 1,
                ingredients =
                {
                         {type="item", name="bi_woodpulp", amount=3},
                },
                result = "resin",
                result_count = 1,
                main_product = "",

        },



        -- Wood from pulp--
        {
                type = "recipe",
                name = "bi_wood_from_pulp",
                icon = "__Bio_Industries__/graphics/icons/wood_from_pulp.png",
                icon_size = 64,
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-bc[bi-wood_from_pulp]",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                energy_required = 2.5,
                ingredients =
                {
                         {type="item", name="bi_woodpulp", amount=8},
                         {type="item", name="resin", amount=2},
                },
                result = "wood",
                result_count = 4,
                main_product = "",
        },



        -- Wood Fuel Brick
        {
                type = "recipe",
                name = "bi_wood_fuel_brick",
                icon = "__Bio_Industries__/graphics/icons/Fuel_Brick.png",
                icon_size = 64,
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-bx[bi-woodbrick]",
                energy_required = 2,
                ingredients = {{"bi_woodpulp",24}},
                result = "wood_bricks",
                result_count = 1,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
        },


        -- ASH --
        {
                type = "recipe",
                name = "bi_ash_1",
                icon = "__Bio_Industries__/graphics/icons/ash_raw-wood.png",
                icon_size = 32,
                category = "biofarm-mod-smelting",
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-cb[bi-ash]",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                energy_required = 3,
                ingredients = {{"wood",5}},
                result = "bi_ash",
                result_count = 5,
                main_product = "",
        },


        -- ASH 2--
        {
                type = "recipe",
                name = "bi_ash_2",
                icon = "__Bio_Industries__/graphics/icons/ash_woodpulp.png",
                icon_size = 32,
                category = "biofarm-mod-smelting",
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-ca[bi-ash2]",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                energy_required = 2.5,
                ingredients = {{"bi_woodpulp",12}},
                result = "bi_ash",
                result_count = 6,
                main_product = "",
        },


        -- CHARCOAL 1
        {
                type = "recipe",
                name = "bi_charcoal",
                icon = "__Bio_Industries__/graphics/icons/charcoal_woodpulp.png",
                icon_size = 32,
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-d[charcoal1]",
                category = "biofarm-mod-smelting",
                energy_required = 15,
                ingredients = {{"bi_woodpulp",24}},
                result = "wood_charcoal",
                result_count = 5,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
        },


        -- CHARCOAL 2
        {
                type = "recipe",
                name = "bi_charcoal_2",
                icon = "__Bio_Industries__/graphics/icons/charcoal_raw-wood.png",
                icon_size = 32,
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-d[charcoal2]",
                category = "biofarm-mod-smelting",
                energy_required = 20,
                ingredients = {{"wood",20}},
                result = "wood_charcoal",
                result_count = 8,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
        },


        -- COAL 1 --
        {
                type = "recipe",
                name = "bi_coal",
                icon = "__Bio_Industries__/graphics/icons/coal_mk1.png",
                icon_size = 32,
                category = "biofarm-mod-smelting",
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-ea[bi-coal]",
                energy_required = 20,
                ingredients = {{"wood_charcoal",10}},
                result = "coal",
                result_count = 12,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
        },


        -- COAL 2 --
        {
                type = "recipe",
                name = "bi_coal_2",
                icon = "__Bio_Industries__/graphics/icons/coal_mk2.png",
                icon_size = 32,
                category = "biofarm-mod-smelting",
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-eb[bi-coal2]",
                energy_required = 20,
                ingredients = {{"wood_charcoal",10}},
                result = "coal",
                result_count = 16,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
        },


        -- Solid Fuel
        {
                type = "recipe",
                name = "bi_solid_fuel",
                icon = "__Bio_Industries__/graphics/icons/bi_solid_fuel_wood_brick.png",
                icon_size = 64,
                subgroup = "bio-bio-farm-raw",
                category = "chemistry",
                order = "a[bi]-a-fa[bi-solid_fuel]",
                energy_required = 2,
                ingredients = {{"wood_bricks",3}},
                result = "solid-fuel",
                result_count = 2,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
        },


        -- pellet_coke from Coal -- Use to be Coke-Coal
                {
                type = "recipe",
                name = "bi_coke_coal",
                icon = "__Bio_Industries__/graphics/icons/pellet_coke_coal.png",
                icon_size = 32,
                category = "biofarm-mod-smelting",
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-g[bi-coke-coal]-1",
                energy_required = 20,
                ingredients = {{"coal",12}},
                result = "pellet_coke",
                result_count = 2,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_as_intermediate = false,
        },


                -- pellet_coke from Solid Fuel -- Use to be Coke-Coal
                {
                type = "recipe",
                name = "bi_pellet_coke",
                icon = "__Bio_Industries__/graphics/icons/pellet_coke_solid.png",
                --icon = "__Bio_Industries__/graphics/icons/pellet_coke_c.png",
                icon_size = 32,
                category = "biofarm-mod-smelting",
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-g[bi-coke-coal]-3",
                energy_required = 6,
                ingredients = {{"solid-fuel",5}},
                result = "pellet_coke",
                result_count = 3,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_as_intermediate = false,
        },


 -- CRUSHED STONE from stone --
        {
                type = "recipe",
                name = "bi_crushed_stone",
                icon = "__Bio_Industries__/graphics/icons/crushed-stone.png",
                icon_size = 32,
                category = "biofarm-mod-crushing",
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-z[stone-crushed-1]",
                energy_required = 1.5,
                ingredients = {{"stone", 1}},
                result = "stone_crushed",
                result_count = 2,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
        },

 -- CRUSHED STONE from concrete --
        {
                type = "recipe",
                name = "bi_crushed_stone_concrete",
                icon = "__Bio_Industries__/graphics/icons/crushed-stone.png",
                icon_size = 32,
                category = "biofarm-mod-crushing",
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-z[stone-crushed-2]",
                energy_required = 2.5,  -- Increased crafting time
                ingredients = {{"concrete", 1}},
                result = "stone_crushed",
                result_count = 2,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
        },

 -- CRUSHED STONE from hazard concrete --
        {
                type = "recipe",
                name = "bi_crushed_stone_hazard_concrete",
                icon = "__Bio_Industries__/graphics/icons/crushed-stone.png",
                icon_size = 32,
                category = "biofarm-mod-crushing",
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-z[stone-crushed-3]",
                energy_required = 2.5,  -- Increased crafting time
                ingredients = {{"hazard-concrete", 1}},
                result = "stone_crushed",
                result_count = 2,
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
        },


 -- STONE Brick--
        {
                type = "recipe",
                name = "bi_stone_brick",
                icon = "__Bio_Industries__/graphics/icons/bi_stone_brick.png",
                icon_size = 32,
                --category = "smelting",
                category = "chemistry",
                subgroup = "bio-bio-farm-raw",
                order = "a[bi]-a-z2[stone-brick]",
                energy_required = 5,
                ingredients =
                {
                  {type="item", name="stone_crushed", amount=6},
                  {type="item", name="bi_ash", amount=2},
                },
                results =
                {
                        {type = "item", name = "stone-brick", amount = 2},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
        },


        -- COKERY (ENTITY)--
        {
                type = "recipe",
                name = "bi_cokery",
                icon = "__Bio_Industries__/graphics/icons/cokery.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        energy_required = 8,
                        ingredients =
                        {
                          {"stone-furnace",3},
                          {"steel-plate",10},
                        },
                  result = "bi_cokery",
                  result_count = 1,
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        energy_required = 10,
                        ingredients =
                        {
                          {"stone-furnace",3},
                          {"steel-plate",12},
                        },
                  result = "bi_cokery",
                  result_count = 1,
                  main_product = "",
                },
                subgroup = "bio-bio-farm-raw-entity",
                order = "a[bi]",
                always_show_made_in = true,
                allow_decomposition = false,
        },


        -- STONE CRUSHER (ENTITY) --
        {
                type = "recipe",
                name = "bi_stone_crusher",
                icon = "__Bio_Industries__/graphics/icons/stone_crusher.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        energy_required = 3,
                        ingredients =
                        {
                          {"iron-plate",10},
                          {"steel-plate",10},
                          {"iron-gear-wheel",5},
                        },
                  result = "bi_stone_crusher",
                  result_count = 1,
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        energy_required = 5,
                        ingredients =
                        {
                          {"iron-plate",12},
                          {"steel-plate",12},
                          {"iron-gear-wheel",8},
                        },
                  result = "bi_stone_crusher",
                  result_count = 1,
                  main_product = "",
                },
                subgroup = "bio-bio-farm-raw-entity",
                order = "b[bi]",
                always_show_made_in = true,
                allow_decomposition = false,
        },


        -- LIQUID-AIR --
        {
                type = "recipe",
                name = "bi_liquid_air",
                category = "chemistry",
                icon = "__Bio_Industries__/graphics/icons/liquid-air.png",
                icon_size = 32,
                energy_required = 1,
                ingredients = {},
                results=
                {
                        {type = "fluid", name = "liquid_air", amount = 10}
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                subgroup = "bio-bio-farm-intermediate-product",
                order = "aa",
        },


        ---NITROGEN --
        {
                type = "recipe",
                name = "bi_nitrogen",
                category = "chemistry",
                icon = "__Bio_Industries__/graphics/icons/nitrogen.png",
                icon_size = 32,
                energy_required = 10,
                ingredients =
                {
                  {type="fluid", name="liquid_air", amount=20}
                },
                results=
                {
                  {type="fluid", name="nitrogen", amount=20},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                --main_product= "nitrogen",
                subgroup = "bio-bio-farm-intermediate-product",
                order = "ab",
        },


        -- fertiliser- Sulfur-
        {
                type = "recipe",
                name = "bi_fertiliser_1",
                icon = "__Bio_Industries__/graphics/icons/fertiliser_sulfur.png",
                icon_size = 32,
                category = "chemistry",
                energy_required = 5,
                ingredients =
                {
                        {type = "item", name = "sulfur", amount = 1},
                        {type="fluid", name="nitrogen", amount=10},
                        {type="item", name="bi_ash", amount=10}
                },
                results=
                {
                        {type="item", name="fertiliser", amount=5}
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                subgroup = "bio-bio-farm-intermediate-product",
                order = "b[fertiliser]",
        },


        -- Advanced fertiliser 1 --
        {
                type = "recipe",
                name = "bi_adv_fertiliser_1",
                icon = "__Bio_Industries__/graphics/icons/advanced_fertiliser_32.png",
                icon_size = 32,
                category = "chemistry",
                energy_required = 50,
                ingredients =
                {
                        {type="item", name="fertiliser", amount=25},
                        --{type="item", name="bi_biomass", amount=10}, -- <== Need to add during Data Updates
                        --{type="fluid", name="NE_enhanced-nutrient-solution", amount=5}, -- Will be added if you have Natural Evolution Buildings Mod installed.
                },
                results=
                {
                        {type="item", name="bi_adv_fertiliser", amount=50}
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                subgroup = "bio-bio-farm-intermediate-product",
                order = "b[fertiliser]-b[bi-adv-fertiliser-1]",
        },


        -- Advanced fertiliser 2--
        {
                type = "recipe",
                name = "bi_adv_fertiliser_2",
                icon = "__Bio_Industries__/graphics/icons/advanced_fertiliser_32.png",
                icon_size = 32,
                category = "chemistry",
                energy_required = 50,
                ingredients =
                {
                        {type="item", name="fertiliser", amount=20},
                        --{type="item", name="bi_biomass", amount=10}, -- <== Need to add during Data Updates
                        {type="item", name="bi_woodpulp", amount=10},
                },
                results=
                {
                        {type="item", name="bi_adv_fertiliser", amount=20}
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                subgroup = "bio-bio-farm-intermediate-product",
                order = "b[fertiliser]-b[bi-adv-fertiliser-2]",
        },


        --- Seed Bomb - Basic
           {
                type = "recipe",
                name = "bi_seed_bomb_basic",
                icon = "__Bio_Industries__/graphics/icons/Seed_bomb_icon_bx.png",
                icon_size = 32,
                normal =
                {
                  enabled = false,
                  energy_required = 8,
                  ingredients =
                  {
                        {"bi_seed", 400},
                        {"rocket", 1},
                  },
                  result = "bi_seed_bomb_basic",
                  main_product = "",
                },
                expensive =
                {
                  enabled = false,
                  energy_required = 8,
                  ingredients =
                  {
                        {"bi_seed", 400},
                        {"rocket", 2},
                  },
                  result = "bi_seed_bomb_basic",
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "ammo",
                order = "a[rocket-launcher]-x[seed-bomb]-a",
          },


           --- Seed Bomb - Standard
           {
                type = "recipe",
                name = "bi_seed_bomb_standard",
                icon = "__Bio_Industries__/graphics/icons/Seed_bomb_icon_sx.png",
                icon_size = 32,
                normal =
                {
                  enabled = false,
                  energy_required = 8,
                  ingredients =
                  {
                        {"bi_seed", 400},
                        {"fertiliser", 200},
                        {"rocket", 1},
                  },
                  result = "bi_seed_bomb_standard",
                  main_product = "",
                },
                expensive =
                {
                  enabled = false,
                  energy_required = 8,
                  ingredients =
                  {
                        {"bi_seed", 400},
                        {"fertiliser", 200},
                        {"rocket", 2},
                  },
                  result = "bi_seed_bomb_standard",
                  main_product = "",
},
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "ammo",
                order = "a[rocket-launcher]-x[seed-bomb]-b",
          },


          --- Seed Bomb - Advanced
           {
                type = "recipe",
                name = "bi_seed_bomb_advanced",
                icon = "__Bio_Industries__/graphics/icons/Seed_bomb_icon_ax.png",
                icon_size = 32,
                normal =
                {
                  enabled = false,
                  energy_required = 8,
                  ingredients =
                  {
                        {"bi_seed", 400},
                        {"bi_adv_fertiliser", 200},
                        {"rocket", 1},
                  },
                  result = "bi_seed_bomb_advanced",
                  main_product = "",
},
                expensive =
                {
                  enabled = false,
                  energy_required = 8,
                  ingredients =
                  {
                        {"bi_seed", 400},
                        {"bi_adv_fertiliser", 200},
                        {"rocket", 2},
                  },
                  result = "bi_seed_bomb_advanced",
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "ammo",
                order = "a[rocket-launcher]-x[seed-bomb]-c",
          },


         ---    Arboretum (ENTITY)
        {
                type = "recipe",
                name = "bi_arboretum",
                icon = "__Bio_Industries__/graphics/icons/Arboretum_Icon.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        energy_required = 10,
                        ingredients =
                        {
                          {"bi_bio_greenhouse",4},
                          {"assembling-machine-2",2},
                          {"stone-brick",10},
                        },
                  result = "bi_arboretum_area",
                  result_count = 1,
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        energy_required = 15,
                        ingredients =
                        {
                          {"bi_bio_greenhouse",4},
                          {"assembling-machine-2",4},
                          {"stone-brick",20},
                        },
                  result = "bi_arboretum_area",
                  result_count = 1,
                  main_product = "",
                },
                subgroup = "bio-arboretum-fluid",
                order = "1-a[bi]",
                always_show_made_in = true,
                allow_decomposition = false,
        },


        ---     Arboretum -  Plant Trees
        {
                type = "recipe",
                name = "bi_arboretum_r1",
                icon = "__Bio_Industries__/graphics/icons/Seedling_b.png",
                icon_size = 32,
                category = "bi-arboretum",
                energy_required = 10000,
                ingredients =
                {
                        {type="item", name="seedling", amount=1},
                        {type="fluid", name="water", amount=100},
                },
                results=
                {
                        {type="item", name="bi_arboretum_r1", amount=1, probability=0},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                subgroup = "bio-arboretum-fluid",
                order = "a[bi]-ssw-a1[bi-arboretum-r1]",
        },


        ---     Arboretum - Change Terrain
        {
                type = "recipe",
                name = "bi_arboretum_r2",
                icon = "__Bio_Industries__/graphics/icons/bi_change_1.png",
                icon_size = 32,
                category = "bi-arboretum",
                energy_required = 10000,
                ingredients =
                {
                        {type="item", name="fertiliser", amount=1},
                        {type="fluid", name="water", amount=100},
                },
                results=
                {
                        {type="item", name="bi_arboretum_r2", amount=1, probability=0},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                subgroup = "bio-arboretum-fluid",
                order = "a[bi]-ssw-a1[bi-arboretum-r2]",
        },


        ---     Arboretum -  Change Terrain - Advanced
        {
                type = "recipe",
                name = "bi_arboretum_r3",
                icon = "__Bio_Industries__/graphics/icons/bi_change_2.png",
                icon_size = 32,
                category = "bi-arboretum",
                energy_required = 10000,
                ingredients =
                {
                        {type="item", name="bi_adv_fertiliser", amount=1},
                        {type="fluid", name="water", amount=100},
                },
                results=
                {
                        {type="item", name="bi_arboretum_r3", amount=1, probability=0},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                subgroup = "bio-arboretum-fluid",
                order = "a[bi]-ssw-a1[bi-arboretum-r3]",
        },


        ---     Arboretum -  Plant Trees & Change Terrain
        {
                type = "recipe",
                name = "bi_arboretum_r4",
                icon = "__Bio_Industries__/graphics/icons/bi_change_plant_1.png",
                icon_size = 32,
                category = "bi-arboretum",
                energy_required = 10000,
                ingredients =
                {
                        {type="item", name="seedling", amount=1},
                        {type="item", name="fertiliser", amount=1},
                        {type="fluid", name="water", amount=100},
                },
                results=
                {
                        {type="item", name="bi_arboretum_r4", amount=1, probability=0},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                subgroup = "bio-arboretum-fluid",
                order = "a[bi]-ssw-a1[bi-arboretum-r4]",
        },


        ---     Arboretum -  Plant Trees & Change Terrain Advanced
        {
                type = "recipe",
                name = "bi_arboretum_r5",
                icon = "__Bio_Industries__/graphics/icons/bi_change_plant_2.png",
                icon_size = 32,
                category = "bi-arboretum",
                energy_required = 10000,
                ingredients =
                {
                        {type="item", name="seedling", amount=1},
                        {type="item", name="bi_adv_fertiliser", amount=1},
                        {type="fluid", name="water", amount=100},
                },
                results=
                {
                        {type="item", name="bi_arboretum_r5", amount=1, probability=0},
                },
                main_product = "",
                enabled = false,
                always_show_made_in = true,
                allow_decomposition = false,
                allow_as_intermediate = false,
                subgroup = "bio-arboretum-fluid",
                order = "a[bi]-ssw-a1[bi-arboretum-r5]",
        },


})
