
---- Bio Farm
data:extend({

        {
                type = "technology",
                name = "bi_tech_bio_farming",
                icon_size = 128,
                icon = "__Bio_Industries__/graphics/technology/Bio_Farm_Tech_128.png",
                effects =
                {
                        {
                                type = "unlock-recipe",
                                recipe = "bi_seed_1"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_seedling_mk1"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_logs_mk1"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_bio_farm"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_bio_greenhouse"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_arboretum"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_arboretum_r1"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_woodpulp"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_resin_pulp"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_wood_from_pulp"
                        },
                },
                prerequisites = {"optics"},
                unit =
                {
                        count = 25,
                        ingredients =
                        {
                          {"automation-science-pack", 1}
                        },
                        time = 20
                },
        },

        {
                type = "technology",
                name = "bi_tech_coal_processing_1",
                icon_size = 128,
                icon = "__Bio_Industries__/graphics/technology/Coal_128.png",
                effects = {
                        {
                                type = "unlock-recipe",
                                recipe = "bi_charcoal"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_charcoal_2"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_ash_1"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_ash_2"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_wood_fuel_brick"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_solid_fuel"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_seed_2"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_seedling_mk2"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_logs_mk2"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_stone_brick"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_cokery"
                        },

                },
                prerequisites = {"advanced-material-processing"},
                unit =
                {
                        count = 150,
                        ingredients = {
                                {"automation-science-pack", 1},
                                {"logistic-science-pack", 1}
                        },
                        time = 30
                },
        },

        {
                type = "technology",
                name = "bi_tech_coal_processing_2",
                icon_size = 128,
                icon = "__Bio_Industries__/graphics/technology/Coal_128.png",
                effects = {
                        {
                                type = "unlock-recipe",
                                recipe = "bi_coal"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_pellet_coke"
                        },
                },
                --~ prerequisites = {"bi_tech_coal_processing_1"},
                prerequisites = {"bi_tech_coal_processing_1", "chemical-science-pack"},
                unit =
                {
                        count = 150,
                        ingredients = {
                                {"automation-science-pack", 1},
                                {"logistic-science-pack", 1},
                                {"chemical-science-pack", 1},
                        },
                        time = 35
                },
                upgrade = true,
        },

        {
                type = "technology",
                name = "bi_tech_coal_processing_3",
                icon_size = 128,
                icon = "__Bio_Industries__/graphics/technology/Coal_128.png",
                effects = {
                        {
                                type = "unlock-recipe",
                                recipe = "bi_coal_2"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_coke_coal"
                        },
                },
                --~ prerequisites = {"bi_tech_coal_processing_2"},
                prerequisites = {"bi_tech_coal_processing_2", "production-science-pack"},
                unit =
                {
                        count = 250,
                        ingredients = {
                                {"automation-science-pack", 1},
                                {"logistic-science-pack", 1},
                                {"chemical-science-pack", 1},
                                {"production-science-pack", 1},
                        },
                        time = 40
                },
                upgrade = true,
        },

        {
                type = "technology",
                name = "bi_tech_fertiliser",
                icon_size = 128,
                icon = "__Bio_Industries__/graphics/technology/Fertiliser_128.png",
                effects = {
                        {
                                type = "unlock-recipe",
                                recipe = "bi_liquid_air"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_nitrogen"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_fertiliser_1"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_seed_3"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_seedling_mk3"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_logs_mk3"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_bio_garden"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_clean_air_1"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_seed_bomb_basic"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_seed_bomb_standard"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_arboretum_r2"
                        },
                        {
                                type = "unlock-recipe",
                                recipe = "bi_arboretum_r4"
                        },

                },
                prerequisites =
                {
                        "fluid-handling",
                        "bi_tech_bio_farming"
                },
                unit = {
                        count = 250,
                        ingredients = {
                                {"automation-science-pack", 1},
                                {"logistic-science-pack", 1}
                        },
                        time = 30
                }
        },

})
