if BI.Settings.BI_Solar_Additions then

        data:extend({

                --- Bio Solar Farm
                {
                        type = "recipe",
                        name = "bi_bio_solar_farm",
                        icon = "__Bio_Industries__/graphics/icons/Bio_Solar_Farm_Icon.png",
                        icon_size = 32,
                        enabled = false,
                        energy_required = 60,
                        ingredients =
                        {
                                {"solar-panel",50},
                                {"medium-electric-pole",25},
                                {"concrete",400},

                        },
                        result = "bi_bio_solar_farm",
                        main_product = "",
                        subgroup = "energy",
                        order = "d[solar-panel]-a[solar-panel]-a[bi-bio-solar-farm]",
                        always_show_made_in = true,
                        allow_decomposition = false,
                },


        -- solar boiler
        {
                type = "recipe",
                --~ name = "bi_solar_boiler_panel_2",
                name = "bi_solar_boiler_2",
                --~ icon = "__Bio_Industries__/graphics/icons/Bio_Solar_Boiler_Panel_Icon.png",
                icon = "__Bio_Industries__/graphics/icons/Bio_Solar_Boiler_Icon.png",
                icon_size = 32,
                enabled = false,
                energy_required = 15,
                ingredients =
                {
                  {"solar-panel", 30},
                  {"storage-tank", 4},
                  {"boiler", 1},
                },
                result = "bi_solar_boiler_2",
                main_product = "",
                subgroup = "energy",
                order = "b[steam-power]-c[steam-engine]",
                always_show_made_in = true,
                allow_decomposition = false,
        },


        -- solar mat
        {
                type = "recipe",
                name = "bi_solar_mat",
                icon = "__Bio_Industries__/graphics/icons/solar-mat.png",
                icon_size = 32,
                enabled = false,
                energy_required = 5,
                ingredients =
                {
                  {"steel-plate", 1},
                  {"advanced-circuit", 3},
                  {"copper-cable", 4}
                },
                result = "bi_solar_mat",
                main_product = "",
                subgroup = "energy",
                order = "d[solar-panel]-aa[solar-panel-1-a]",
                always_show_made_in = true,
                allow_decomposition = false,
        },


        --- BI Accumulator
                {
                        type = "recipe",
                        name = "bi_bio_accumulator",
                        icon = "__Bio_Industries__/graphics/icons/bi_LargeAccumulator.png",
                        icon_size = 32,
                        energy_required = 60,
                        enabled = false,
                        ingredients =
                        {
                          {"accumulator", 50},
                          {"copper-cable", 50},
                          {"concrete",200},
                        },
                        result = "bi_bio_accumulator",
                        main_product = "",
                        subgroup = "energy",
                        order = "e[accumulator]-a[bi-accumulator]",
                        always_show_made_in = true,
                        allow_decomposition = false,
                },

        -- Large Substation
          {
                type = "recipe",
                name = "bi_large_substation",
                icon = "__Bio_Industries__/graphics/icons/bi_LargeSubstation_icon.png",
                icon_size = 32,
                enabled = false,
                ingredients =
                {
                  {"steel-plate", 10},
                  {"concrete",200},
                  {"substation", 4}
                },
                result = "bi_large_substation",
                main_product = "",
                subgroup = "energy-pipe-distribution",
                order = "a[energy]-d[substation]-b[large-substation]",
                always_show_made_in = true,
                allow_decomposition = false,
          },




})

end
