data:extend({


        --- Basic Dart Ammo
        {
                type = "recipe",
                name = "bi_basic_dart_magazine",
                icon = "__Bio_Industries__/graphics/icons/basic_dart_icon.png",
                icon_size = 32,
                normal =
                {
                        enabled = true,
                        energy_required = 4,
                        ingredients =
                        {
                                {"wood", 10},
                        },
                  result = "bi_basic_dart_magazine",
                  result_count = 10,
                  main_product = "",
                },
                expensive =
                {
                        enabled = true,
                        energy_required = 6,
                        ingredients =
                        {
                                {"wood", 10},
                        },
                  result = "bi_basic_dart_magazine",
                  result_count = 8,
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "bi-ammo",
                order = "[bio-ammo]-a-[darts]-1",
        },

        --- Standard Dart Ammo
        {
                type = "recipe",
                name = "bi_standard_dart_magazine",
                icon = "__Bio_Industries__/graphics/icons/standard_dart_icon.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        energy_required = 5,
                        ingredients =
                        {
                                {"bi_basic_dart_magazine", 10},
                                {"copper-plate", 5},
                        },
                  result = "bi_standard_dart_magazine",
                  result_count = 10,
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        energy_required = 8,
                        ingredients =
                        {
                                {"bi_basic_dart_magazine", 8},
                                {"copper-plate", 5},
                        },
                  result = "bi_standard_dart_magazine",
                  result_count = 8,
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "bi-ammo",
                order = "[bio-ammo]-a-[darts]-2",
        },

        --- Enhanced Dart Ammo
        {
                type = "recipe",
                name = "bi_enhanced_dart_magazine",
                icon = "__Bio_Industries__/graphics/icons/enhanced_dart_icon.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        energy_required = 6,
                        ingredients =
                        {
                                {"bi_standard_dart_magazine", 10},
                                {"plastic-bar", 5},
                        },
                  result = "bi_enhanced_dart_magazine",
                  result_count = 10,
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        energy_required = 9,
                        ingredients =
                        {
                                {"bi_standard_dart_magazine", 8},
                                {"plastic-bar", 5},
                        },
                  result = "bi_enhanced_dart_magazine",
                  result_count = 8,
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "bi-ammo",
                order = "[bio-ammo]-a-[darts]-3",
        },

        --- Poison Dart Ammo
        {
                type = "recipe",
                name = "bi_poison_dart_magazine",
                icon = "__Bio_Industries__/graphics/icons/poison_dart_icon.png",
                icon_size = 32,
                normal =
                {
                        enabled = false,
                        energy_required = 8,
                        ingredients =
                        {
                                {"bi_enhanced_dart_magazine", 10},
                                {"poison-capsule", 5},
                        },
                  result = "bi_poison_dart_magazine",
                  result_count = 10,
                  main_product = "",
                },
                expensive =
                {
                        enabled = false,
                        energy_required = 12,
                        ingredients =
                        {
                                {"bi_enhanced_dart_magazine", 8},
                                {"poison-capsule", 5},
                        },
                  result = "bi_poison_dart_magazine",
                  result_count = 8,
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "bi-ammo",
                order = "[bio-ammo]-a-[darts]-4",
        },

        --- Dart Turret
  {
    type = "recipe",
    name = "bi_dart_turret",
        icon = "__Bio_Industries__/graphics/icons/bio_turret_icon.png",
        icon_size = 32,

        normal =
                {
                        enabled = true,
                        energy_required = 8,
                        ingredients =
                        {
                          {"iron-gear-wheel", 5},
                          {"wood", 20},
                        },
                  result = "bi_dart_turret",
                  result_count = 1,
                  main_product = "",
                },

                expensive =
                {
                        enabled = true,
                        energy_required = 16,
                        ingredients =
                        {
                          {"iron-gear-wheel", 10},
                          {"wood", 25},
                        },
                  result = "bi_dart_turret",
                  result_count = 1,
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "defensive-structure",
                order = "b[turret]-e[bi-dart-turret]",
  },

--- Dart Rifle
  {
    type = "recipe",
    name = "bi_dart_rifle",
        icon = "__Bio_Industries__/graphics/icons/bi_dart_rifle_icon.png",
        icon_size = 32,
        normal =
                {
                        enabled = true,
                        energy_required = 8,
                        ingredients =
                        {
                          {"copper-plate", 5},
                          {"wood", 15},
                        },
                  result = "bi_dart_rifle",
                  result_count = 1,
                  main_product = "",
                },

                expensive =
                {
                        enabled = true,
                        energy_required = 16,
                        ingredients =
                        {
                          {"copper-plate", 10},
                          {"wood", 25},
                        },
                  result = "bi_dart_rifle",
                  result_count = 1,
                  main_product = "",
                },
                always_show_made_in = true,
                allow_decomposition = false,
                main_product = "",
                subgroup = "gun",
  },


})
